org.appng.appngizer.model.xml

## Class Databases

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Databases

- Direct Known Subclasses:
    Databases

      public class Databases
      extends Linkable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{http://www.appng.org/schema/appngizer}linkable">
             <sequence>
               <element ref="{http://www.appng.org/schema/appngizer}database" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Database>` | `database`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Databases()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Database>` | `getDatabase()` Gets the value of the database property.

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### database

          protected List<Database> database

  - ### Constructor Detail

    - #### Databases

          public Databases()

  - ### Method Detail

    - #### getDatabase

          public List<Database> getDatabase()

      Gets the value of the database property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the database property.

      For example, to add a new item, do as follows:

              getDatabase().add(newItem);

      Objects of the following type(s) are allowed in the list `Database`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.